function [y] = dritte_Fkt(M,N)
  %sind M und N ganzzahlig?
  if (~(round(M)==M) || ~(round(N)==N))
    y=0;
    return
  end

  %setze Summationsvariable auf Startwert
  i=M;

  %Startwert fuer y (Summe verschwindet)
  y=0;

  %Pruefe: Ist der Nenner des ersten Summanden nicht 0?
  if ((i==1) || (i==-2))
    y=0;
    return
  end

  %Berechne ersten Summanden
  y_new = i*(i+1)/((i-1)*(i+2));

  %Schleife: Berechne summandenweise
  %y ist Summe aus vorherigem Schleifendurchlauf
  %y_new wird (y+neuer Summand)
  %wenn y_new>N dann ist y das Ergebnis, sonst neuer Durchlauf
  while (y_new <= N)
    %y_new <= N, also setze y auf die Summe aus dem letzten Durchlauf
    y = y_new;

    %erhoehe Summationsvariable
    i=i+1;

    %Pruefe: ist der Nenner des i-ten Summanden nicht 0?
    if ((i==1) || (i==-2))
      y=0;
      return
    end

    %Berechne neuen Summanden und addiere zur bisherigen Summe
    y_new = y_new + i*(i+1)/((i-1)*(i+2));
  end
end
